Bulk Fetch Event Meta Info

Bulk Fetch Event Meta Info
Get Event meta Information

Bulk fetch of event meta info. Max batch size is 1000.

Request
URI
GET
https://{api_host}/api/ni/schema/problems
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EventMetaInfoResponse of type(s) application/json
{
    "results": [
        {
            "entity_type": "string",
            "name": "string",
            "help_text": "string",
            "severity": "string",
            "tags": [
                "string"
            ],
            "supported_entity_types": [
                "string"
            ],
            "supported_manager_types": [
                "string"
            ],
            "impact": "string",
            "recommendations": [
                "string"
            ]
        }
    ]
}
array of object
results
Optional

results


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/schema/problems